Subject: Re: [PATCH 1/3] [v4, net-next] net: ethernet: ti-cpsw:: rename soft_reset() function

From: Jakub Kicinski <[email-masked]>
Date: Mon, 6 Apr 2026 19:05:00 -0700

On Sun, 05 Apr 2026 21:31:28 +0200 Arnd Bergmann wrote:
> On Sat, Apr 4, 2026, at 11:11, Simon Horman wrote:
> > On Thu, Apr 02, 2026 at 09:16:29PM +0200, Arnd Bergmann wrote:  
> >> On Thu, Apr 2, 2026, at 21:13, Ilias Apalodimas wrote:
> >> 
> >> Before the c5013ac1dd0e1 commit, this was a 'static inline' function,
> >> which is allowed to clash with other identifiers. Making it a global
> >> symbol during the move was a problem.  
> >
> > If we are going to treat this as a fix then probably it should be separated
> > from the rest of the patchset and routed via net. With the rump patchset
> > re-submitted to net-next once dependencies are in place.  
> 
> I'll drop patch 1 then and send the other two when I get the next
> regression with duplicate objects in a couple of releases. I'm
> travelling at the moment and won't have time to rebase and test
> before the merge window.
> 
> It's no longer urgent since both cpsw and dpaa2 have been broken for
> years now since I first reported the regression.

Seems borderline, let me take it via net-next without the Fixes tag.